import { MemoryProvider, MemoryRecord, MemorySearchQuery } from './MemoryProvider';
export declare class RedisAgentMemoryProvider implements MemoryProvider {
    name(): string;
    search(input: MemorySearchQuery): Promise<MemoryRecord[]>;
    save(record: MemoryRecord): Promise<void>;
}
